Last Comment Bug 730043 - Checked QFB button should better work with Personas
: Checked QFB button should better work with Personas
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Toolbars and Tabs (show other bugs)
: unspecified
: x86_64 Mac OS X
: -- normal (vote)
: Thunderbird 13.0
Assigned To: Richard Marti (:Paenglab)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-23 11:22 PST by Richard Marti (:Paenglab)
Modified: 2012-02-28 10:25 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Patch (519 bytes, patch)
2012-02-23 11:30 PST, Richard Marti (:Paenglab)
bwinton: review+
bwinton: ui‑review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Splinter Review
Comparison. Top before, bottom after patch (17.07 KB, image/png)
2012-02-23 11:32 PST, Richard Marti (:Paenglab)
no flags Details

Description Richard Marti (:Paenglab) 2012-02-23 11:22:21 PST
Bug 728553 introduced a pressed state when checked. The button has then a fixed color which could make it bad readable on some Personas.
Comment 1 Richard Marti (:Paenglab) 2012-02-23 11:30:29 PST
Created attachment 600107 [details] [diff] [review]
Patch

Patch inheriting the color and text shadow. Also making the button slightly more transparent.
Comment 2 Richard Marti (:Paenglab) 2012-02-23 11:31:43 PST
Adding Mark because he saw this first.
Comment 3 Richard Marti (:Paenglab) 2012-02-23 11:32:43 PST
Created attachment 600109 [details]
Comparison. Top before, bottom after patch
Comment 4 Blake Winton (:bwinton) (:☕️) 2012-02-23 11:57:34 PST
Comment on attachment 600107 [details] [diff] [review]
Patch

Seems to look better, and the code is clean.  r=me, ui-r=me.

Thanks,
Blake.
Comment 5 Richard Marti (:Paenglab) 2012-02-23 12:03:05 PST
Comment on attachment 600107 [details] [diff] [review]
Patch

Associated Bug 728553 is also in beta. Then this makes sense to put this also there.
Comment 6 Mark Banner (:standard8, limited time in Dec) 2012-02-24 02:46:18 PST
Checked in: http://hg.mozilla.org/comm-central/rev/2210f715d6df
Comment 7 Mark Banner (:standard8, limited time in Dec) 2012-02-28 10:25:10 PST
Landed on branches:

http://hg.mozilla.org/releases/comm-aurora/rev/04fc8f6476e8
http://hg.mozilla.org/releases/comm-beta/rev/2c5307e02f05

Note You need to log in before you can comment on or make changes to this bug.